Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTransformTextureCoords Class Reference

`#include <vtkTransformTextureCoords.h>`

Inheritance diagram for vtkTransformTextureCoords:

[legend]
Collaboration diagram for vtkTransformTextureCoords:

[legend]
List of all members.

## Detailed Description

transform (scale, rotate, translate) texture coordinates

Date:
  2002/01/22 15:29:53

Revision:
  1.29

vtkTransformTextureCoords is a filter that operates on texture coordinates. It ingests any type of dataset, and outputs a dataset of the same type. The filter lets you scale, translate, and rotate texture coordinates. For example, by using the the Scale ivar, you can shift texture coordinates that range from (0->1) to range from (0->10) (useful for repeated patterns).

The filter operates on texture coordinates of dimension 1->3. The texture coordinates are referred to as r-s-t. If the texture map is two dimensional, the t-coordinate (and operations on the t-coordinate) are ignored.

See also:
  vtkTextureMapToPlane vtkTextureMapToBox vtkTextureMapToCylinder vtkTextureMapToSphere vtkThresholdTextureCoords vtkTexture

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (72%)
  - Martin, Ken (6%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkTransformTextureCoords.h)`
  - .`cxx` (`/Graphics/vtkTransformTextureCoords.cxx)`

Examples:
  vtkTransformTextureCoords (Examples)

Tests:
  vtkTransformTextureCoords (Tests)

Definition at line 60 of file vtkTransformTextureCoords.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetPosition (float, float, float)
virtual void | SetPosition (float[3])
virtual float * | GetPosition ()
virtual void | GetPosition (float data[3])
void | AddPosition (float deltaR, float deltaS, float deltaT)
void | AddPosition (float deltaPosition[3])
virtual void | SetScale (float, float, float)
virtual void | SetScale (float[3])
virtual float * | GetScale ()
virtual void | GetScale (float data[3])
virtual void | SetOrigin (float, float, float)
virtual void | SetOrigin (float[3])
virtual float * | GetOrigin ()
virtual void | GetOrigin (float data[3])
virtual void | SetFlipR (int)
virtual int | GetFlipR ()
virtual void | FlipROn ()
virtual void | FlipROff ()
virtual void | SetFlipS (int)
virtual int | GetFlipS ()
virtual void | FlipSOn ()
virtual void | FlipSOff ()
virtual void | SetFlipT (int)
virtual int | GetFlipT ()
virtual void | FlipTOn ()
virtual void | FlipTOff ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkTransformTextureCoords * | SafeDownCast (vtkObject *o)
vtkTransformTextureCoords * | New ()
## Protected Methods
| vtkTransformTextureCoords ()
| ~vtkTransformTextureCoords ()
void | Execute ()
## Protected Attributes
float | Origin [3]
float | Position [3]
float | Scale [3]
int | FlipR
int | FlipS
int | FlipT

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkTransformTextureCoords::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 63 of file vtkTransformTextureCoords.h.

## Constructor & Destructor Documentation

vtkTransformTextureCoords::vtkTransformTextureCoords | ( |  | ) | `[protected]`

vtkTransformTextureCoords::~vtkTransformTextureCoords | ( |  | ) | `[inline, protected]`

| Definition at line 127 of file vtkTransformTextureCoords.h.

## Member Function Documentation

virtual const char* vtkTransformTextureCoords::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkTransformTextureCoords::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkTransformTextureCoords::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkTransformTextureCoords* vtkTransformTextureCoords::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkTransformTextureCoords::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkTransformTextureCoords* vtkTransformTextureCoords::New | ( |  | ) | `[static]`

| Create instance with Origin (0.5,0.5,0.5); Position (0,0,0); and Scale set to (1,1,1). Rotation of the texture coordinates is turned off. Reimplemented from vtkObject.

virtual void vtkTransformTextureCoords::SetPosition | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the position of the texture map. Setting the position translates the texture map by the amount specified.

virtual void vtkTransformTextureCoords::SetPosition | ( | float | [3] | ) | `[virtual]`

| Set/Get the position of the texture map. Setting the position translates the texture map by the amount specified.

virtual float* vtkTransformTextureCoords::GetPosition | ( |  | ) | `[virtual]`

| Set/Get the position of the texture map. Setting the position translates the texture map by the amount specified.

virtual void vtkTransformTextureCoords::GetPosition | ( | float | data[3] | ) | `[virtual]`

| Set/Get the position of the texture map. Setting the position translates the texture map by the amount specified.

void vtkTransformTextureCoords::AddPosition | ( | float | deltaR,
|  | float | deltaS,
|  | float | deltaT
| ) |

| Incrementally change the position of the texture map (i.e., does a translate or shift of the texture coordinates).

void vtkTransformTextureCoords::AddPosition | ( | float | deltaPosition[3] | ) |

| Incrementally change the position of the texture map (i.e., does a translate or shift of the texture coordinates).

virtual void vtkTransformTextureCoords::SetScale | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the scale of the texture map. Scaling in performed independently on the r, s and t axes.

virtual void vtkTransformTextureCoords::SetScale | ( | float | [3] | ) | `[virtual]`

| Set/Get the scale of the texture map. Scaling in performed independently on the r, s and t axes.

virtual float* vtkTransformTextureCoords::GetScale | ( |  | ) | `[virtual]`

| Set/Get the scale of the texture map. Scaling in performed independently on the r, s and t axes.

virtual void vtkTransformTextureCoords::GetScale | ( | float | data[3] | ) | `[virtual]`

| Set/Get the scale of the texture map. Scaling in performed independently on the r, s and t axes.

virtual void vtkTransformTextureCoords::SetOrigin | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set/Get the origin of the texture map. This is the point about which the texture map is flipped (e.g., rotated). Since a typical texture map ranges from (0,1) in the r-s-t coordinates, the default origin is set at (0.5,0.5,0.5).

virtual void vtkTransformTextureCoords::SetOrigin | ( | float | [3] | ) | `[virtual]`

| Set/Get the origin of the texture map. This is the point about which the texture map is flipped (e.g., rotated). Since a typical texture map ranges from (0,1) in the r-s-t coordinates, the default origin is set at (0.5,0.5,0.5).

virtual float* vtkTransformTextureCoords::GetOrigin | ( |  | ) | `[virtual]`

| Set/Get the origin of the texture map. This is the point about which the texture map is flipped (e.g., rotated). Since a typical texture map ranges from (0,1) in the r-s-t coordinates, the default origin is set at (0.5,0.5,0.5).

virtual void vtkTransformTextureCoords::GetOrigin | ( | float | data[3] | ) | `[virtual]`

| Set/Get the origin of the texture map. This is the point about which the texture map is flipped (e.g., rotated). Since a typical texture map ranges from (0,1) in the r-s-t coordinates, the default origin is set at (0.5,0.5,0.5).

virtual void vtkTransformTextureCoords::SetFlipR | ( | int |  | ) | `[virtual]`

| Boolean indicates whether the texture map should be flipped around the s-axis. Note that the flips occur around the texture origin.

virtual int vtkTransformTextureCoords::GetFlipR | ( |  | ) | `[virtual]`

| Boolean indicates whether the texture map should be flipped around the s-axis. Note that the flips occur around the texture origin.

virtual void vtkTransformTextureCoords::FlipROn | ( |  | ) | `[virtual]`

| Boolean indicates whether the texture map should be flipped around the s-axis. Note that the flips occur around the texture origin.

virtual void vtkTransformTextureCoords::FlipROff | ( |  | ) | `[virtual]`

| Boolean indicates whether the texture map should be flipped around the s-axis. Note that the flips occur around the texture origin.

virtual void vtkTransformTextureCoords::SetFlipS | ( | int |  | ) | `[virtual]`

| Boolean indicates whether the texture map should be flipped around the s-axis. Note that the flips occur around the texture origin.

virtual int vtkTransformTextureCoords::GetFlipS | ( |  | ) | `[virtual]`

| Boolean indicates whether the texture map should be flipped around the s-axis. Note that the flips occur around the texture origin.

virtual void vtkTransformTextureCoords::FlipSOn | ( |  | ) | `[virtual]`

| Boolean indicates whether the texture map should be flipped around the s-axis. Note that the flips occur around the texture origin.

virtual void vtkTransformTextureCoords::FlipSOff | ( |  | ) | `[virtual]`

| Boolean indicates whether the texture map should be flipped around the s-axis. Note that the flips occur around the texture origin.

virtual void vtkTransformTextureCoords::SetFlipT | ( | int |  | ) | `[virtual]`

| Boolean indicates whether the texture map should be flipped around the t-axis. Note that the flips occur around the texture origin.

virtual int vtkTransformTextureCoords::GetFlipT | ( |  | ) | `[virtual]`

| Boolean indicates whether the texture map should be flipped around the t-axis. Note that the flips occur around the texture origin.

virtual void vtkTransformTextureCoords::FlipTOn | ( |  | ) | `[virtual]`

| Boolean indicates whether the texture map should be flipped around the t-axis. Note that the flips occur around the texture origin.

virtual void vtkTransformTextureCoords::FlipTOff | ( |  | ) | `[virtual]`

| Boolean indicates whether the texture map should be flipped around the t-axis. Note that the flips occur around the texture origin.

void vtkTransformTextureCoords::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkTransformTextureCoords::Origin[3]`[protected]`

| Definition at line 131 of file vtkTransformTextureCoords.h.

float vtkTransformTextureCoords::Position[3]`[protected]`

| Definition at line 132 of file vtkTransformTextureCoords.h.

float vtkTransformTextureCoords::Scale[3]`[protected]`

| Definition at line 133 of file vtkTransformTextureCoords.h.

int vtkTransformTextureCoords::FlipR`[protected]`

| Definition at line 134 of file vtkTransformTextureCoords.h.

int vtkTransformTextureCoords::FlipS`[protected]`

| Definition at line 135 of file vtkTransformTextureCoords.h.

int vtkTransformTextureCoords::FlipT`[protected]`

| Definition at line 136 of file vtkTransformTextureCoords.h.

The documentation for this class was generated from the following file:

- Graphics/vtkTransformTextureCoords.h